Bug 161773 - New port graphics/tilecache - a Python-based WMS-C/TMS server
Summary: New port graphics/tilecache - a Python-based WMS-C/TMS server
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eitan Adler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-18 15:00 UTC by Joris Dedieu
Modified: 2011-10-28 00:00 UTC (History)
0 users

See Also:


Attachments
tilecache.shar (11.62 KB, text/plain)
2011-10-18 15:00 UTC, Joris Dedieu
no flags Details
Makefile.patch (902 bytes, patch)
2011-10-19 11:10 UTC, Joris Dedieu
no flags Details | Diff
pkg-plist.patch (16.32 KB, patch)
2011-10-19 11:10 UTC, Joris Dedieu
no flags Details | Diff
tilecache.shar (11.60 KB, application/x-shar)
2011-10-20 06:47 UTC, Joris Dedieu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joris Dedieu 2011-10-18 15:00:28 UTC
	Add tilecache (http://tilecache.org/) to ports collection
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2011-10-18 22:57:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eadler

I'll take it.
Comment 2 Joris Dedieu 2011-10-19 11:10:00 UTC
Hi,
Here 2 patches for this port :

1 - add a missing run depends and correct remaining /usr/bin/python
for cgi / fastcgi
2 - correct plist using %%PYEASYINSTALL_EGG%%

Joris
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2011-10-19 22:51:45 UTC
State Changed
From-To: open->feedback

can you please submit a new shar with the patches already applied?
Comment 4 Joris Dedieu 2011-10-20 06:47:53 UTC
2011/10/19  <eadler@freebsd.org>:
> Synopsis: New port graphics/tilecache - a Python-based WMS-C/TMS server
>
> State-Changed-From-To: open->feedback
> State-Changed-By: eadler
> State-Changed-When: Wed Oct 19 21:51:45 UTC 2011
> State-Changed-Why:
> can you please submit a new shar with the patches already applied?
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=161773
>

Here it is.

Joris
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2011-10-20 13:03:14 UTC
State Changed
From-To: feedback->open

Submitter has fixed.
Comment 6 Eitan Adler freebsd_committer freebsd_triage 2011-10-20 14:52:46 UTC
State Changed
From-To: open->analyzed

awaiting review
Comment 7 dfilter service freebsd_committer 2011-10-27 23:57:44 UTC
eadler      2011-10-27 22:57:30 UTC

  FreeBSD ports repository

  Modified files:
    graphics             Makefile 
  Added files:
    graphics/tilecache   Makefile distinfo pkg-descr pkg-plist 
    graphics/tilecache/files patch-setup.py 
  Log:
  TileCache provides a Python-based WMS-C/TMS server, with pluggable
  caching mechanisms and rendering backends.
  
  WWW:    http://tilecache.org/
  
  PR:             ports/161773
  Submitted by:   Joris Dedieu <joris.dedieu@gmail.com>
  Approved by:    bapt (mentor)
  
  Revision  Changes    Path
  1.1459    +1 -0      ports/graphics/Makefile
  1.1       +42 -0     ports/graphics/tilecache/Makefile (new)
  1.1       +2 -0      ports/graphics/tilecache/distinfo (new)
  1.1       +12 -0     ports/graphics/tilecache/files/patch-setup.py (new)
  1.1       +4 -0      ports/graphics/tilecache/pkg-descr (new)
  1.1       +122 -0    ports/graphics/tilecache/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Eitan Adler freebsd_committer freebsd_triage 2011-10-27 23:58:25 UTC
State Changed
From-To: analyzed->closed

I committed it with the following changes: use tabs not spaces use ISO 
date format for 'created' date new ports should not set portrevision 
capital p in Paste